org.apache.ignite.failure

## Enum FailureType

- java.lang.Object
- - java.lang.Enum<FailureType>
  - - org.apache.ignite.failure.FailureType

All Implemented Interfaces:
  Serializable, Comparable<FailureType>

    public enum FailureType
    extends Enum<FailureType>

Types of failures.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CRITICAL_ERROR` Critical error - error which leads to the system's inoperability.
`SEGMENTATION` Node segmentation.
`SYSTEM_CRITICAL_OPERATION_TIMEOUT` System-critical operation has been timed out.
`SYSTEM_WORKER_BLOCKED` System worker has not updated its heartbeat for a long time.
`SYSTEM_WORKER_TERMINATION` System worker termination.

### Method Summary

All Methods Static Methods Concrete Methods
`static FailureType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FailureType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SEGMENTATION

    public static final FailureType SEGMENTATION

Node segmentation.

#### SYSTEM_WORKER_TERMINATION

    public static final FailureType SYSTEM_WORKER_TERMINATION

System worker termination.

#### SYSTEM_WORKER_BLOCKED

    public static final FailureType SYSTEM_WORKER_BLOCKED

System worker has not updated its heartbeat for a long time.

#### CRITICAL_ERROR

    public static final FailureType CRITICAL_ERROR

Critical error - error which leads to the system's inoperability.

#### SYSTEM_CRITICAL_OPERATION_TIMEOUT

    public static final FailureType SYSTEM_CRITICAL_OPERATION_TIMEOUT

System-critical operation has been timed out.

### Method Detail

#### values

    public static FailureType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FailureType c : FailureType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FailureType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023